Bug 1377554 (CVE-2016-5272) - CVE-2016-5272 Mozilla: Bad cast in nsImageGeometryMixin (MFSA 2016-85, MFSA 2016-86)
Summary: CVE-2016-5272 Mozilla: Bad cast in nsImageGeometryMixin (MFSA 2016-85, MFSA 2...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-5272
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1369653
TreeView+ depends on / blocked
 
Reported: 2016-09-20 06:03 UTC by Siddharth Sharma
Modified: 2019-09-29 13:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-04 02:43:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1912 normal SHIPPED_LIVE Critical: firefox security update 2016-09-21 11:47:31 UTC

Description Siddharth Sharma 2016-09-20 06:03:27 UTC
A bad cast when processing layout with input elements can result in a potentially exploitable crash.

External Reference:

https://www.mozilla.org/security/advisories/mfsa2016-85/
https://www.mozilla.org/security/advisories/mfsa2016-86/

Comment 1 Siddharth Sharma 2016-09-20 06:03:36 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Abhishek Arya

Comment 2 errata-xmlrpc 2016-09-21 07:49:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2016:1912 https://rhn.redhat.com/errata/RHSA-2016-1912.html


Note You need to log in before you can comment on or make changes to this bug.